This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 110146 - VFS: dqputduplicate(): Duplicated dquot put without duplicate reference
VFS: dqputduplicate(): Duplicated dquot put without duplicate reference
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-15 02:41 EST by Marc Schmitt
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-04 23:09:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schmitt 2003-11-15 02:41:36 EST
Description of problem:
On a ext3 filesystem with data=journal and usrquota on of about 900GB 
that is used to 92% with home directories of about 200 users, 
exported over nfs, we experience some kind of quota corruption that 
manifests in the error message "VFS: dqputduplicate(): Duplicated 
dquot put without duplicate reference" being printed to the console 
and seconds later the nfsd going into the "D" state.

I did a fsck -f on the filesystem followed by quotacheck, the problem 
did not go away.

The only way to get the machine running again was to mount the 
filesystem without usrquota turned on.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-20.7


How reproducible:
Every time.

Steps to Reproduce:
1. mount the filesystem (-o data=journal,usrquota)
2. service nfs start
3. wait until exportfs has finished
4. clients start resuming -> rw to the filesystem starts happening
5. within seconds, the error message "VFS: dqputduplicate(): 
Duplicated dquot put without duplicate reference" appears on the 
console
  
Actual results:
6. the load of the machine goes up to the amount of nfsds that I have 
defined in the corresponding init script (96)
7. nfsd does not respond, can not be killed (D state)

Expected results:
The nfs service should run normally.


Additional info:
The problem appears to be deep in the filesystem, as a fsck followed 
by a quotacheck does not solve it.

Please let me know how to proceed on debugging this. I really need 
quotas enabled on this filesystem. There is limited playground, 
though. My users are not very happy as the server has been down the 
last 12 hours already...

Anyway, I'll gladly dump any information you ask me to that could 
help solving this.

TIA

Marc
Comment 1 Dave Jones 2004-01-04 23:09:29 EST
Try the final errata kernel for RHL 7
End of Life since Jan 1st -> WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.